(in-package #:asdf-user)

(defsystem :scopes
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Generic data processing."
  :depends-on (:alexandria :chanl :cl-dotenv :com.inuoe.jzon :dbi 
               :local-time :log4cl :str :sxql
               :scopes-core :scopes-web)
  :components ((:file "storage/storage")
               (:file "storage/tracking" :depends-on ("storage/storage")))
  :long-description "scopes: generic data processing facilities."
  ;;#.(uiop:read-file-string
  ;;   (uiop:subpathname *load-pathname* "README.md")))
  :in-order-to ((test-op (test-op "scopes/test"))))

(defsystem :scopes/test
  :depends-on (:scopes :scopes-core/test :scopes-web/test)
  :components ((:file "test/test-storage"))
  :perform (test-op (o c) 
    (symbol-call :scopes/test-config :run)
    (symbol-call :scopes/test-core :run)
    (symbol-call :scopes/test-forge :run)
    (symbol-call :scopes/test-web :run)
    (symbol-call :scopes/test-storage :run-all)))
